## xubuntu-docs 16.10

=== Makefile ===
# Makefile for the Xubuntu Documentation
# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>

# Include revision number
ifneq ($(REVNO),)
    VERSION = 
    VERSION += (Rev. $(REVNO))
endif

# All available translations
TRANSALLUSER = $(shell basename -s .po -a user-docs/po/*.po)
TRANSALLCONTR = $(shell basename -s .po -a contributor-docs/po/*.po)

ifeq ($(TRANSALLCONTR),*)
    TRANSALLCONTR =
endif

# Translation links
TRSLINKSUSER = $(shell for lang in $(TRANSLATUSER); do \
        awk -F '[\t]+' -v lang="$$lang" '$$1 == lang {print "\t\t\t\t\t\t<li><a href=\\\"user/" lang "/index.html\\\">" $$2 "</a></li>\\n"; f=1; exit} END {exit !f}' libs-common/language-names || \
        sed -n "/^\"Language-Team:/ {s|^\"Language-Team: \([^<]\+\) <.*$$|\t\t\t\t\t\t<li><a href=\\\\\"user/$$lang/index.html\\\\\">\1</a></li>\\\n|p;q}" user-docs/po/$$lang.po; \
    done | sed '$$ s/\\n$$//')

TRSLINKSCONTR = $(shell for lang in $(TRANSLATCONTR); do \
        awk -F '[\t]+' -v lang="$$lang" '$$1 == lang {print "\t\t\t\t\t\t<li><a href=\\\"contributor/" lang "/index.html\\\">" $$2 "</a></li>\\n"; f=1; exit} END {exit !f}' libs-common/language-names || \
        sed -n "/^\"Language-Team:/ {s|^\"Language-Team: \([^<]\+\) <.*$$|\t\t\t\t\t\t<li><a href=\\\\\"contributor/$$lang/index.html\\\\\">\1</a></li>\\\n|p;q}" contributor-docs/po/$$lang.po; \
    done | sed '$$ s/\\n$$//')

all: clean startpage user-all

user-all: user-html user-html-translations user-pdf user-pdf-translations

contributor-all: contributor-html contributor-html-translations contributor-pdf contributor-pdf-translations

startpage: startpage-style user-get-translations contributor-get-translations
	sed "s@<a href=\"[^\"]\+\">Official Documentation</a>@&$(VERSION)@; \
	    s@^\(.*\)<!-- user docs translations -->.*@$(TRSLINKSUSER)@" startpage/index.html > build/index.html
	sed -i "s@<a href=\"[^\"]\+\">Contributor Documentation</a>@&$(VERSION)@; \
	    s@^\(.*\)<!-- contributor docs translations -->.*@$(if $(TRSLINKSCONTR),$(TRSLINKSCONTR),\1)@" build/index.html

startpage-style: common-libs
	cp startpage/*.css build/
	@touch startpage-style

common-libs:
	mkdir -p build/libs-common 
	cp -r libs-common/css \
		libs-common/images \
		build/libs-common/
	@touch common-libs

user-docs/update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard user-docs/po/LINGUAS),)
		cd user-docs; \
		../scripts/translate.sh -u
		@touch user-docs/update-translations
        endif
    endif

user-update-translations: user-docs/update-translations

user-get-translations: user-docs/update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard user-docs/po/LINGUAS),)
            export TRANSLATUSER = $(shell cat user-docs/po/LINGUAS)
            export TRANSOPTSUSER = -g
        else
            export TRANSLATUSER := $(TRANSALLUSER)
            export TRANSOPTSUSER := -l "$(TRANSLATUSER)"
        endif
    else
        export TRANSLATUSER := $(TRANSLATIONS)
        export TRANSOPTSUSER := -l "$(TRANSLATIONS)"
    endif

contributor-docs/update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard contributor-docs/po/LINGUAS),)
		cd contributor-docs; \
		../scripts/translate.sh -u
		@touch contributor-docs/update-translations
        endif
    endif

contributor-update-translations: contributor-docs/update-translations

contributor-get-translations: contributor-docs/update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard contributor-docs/po/LINGUAS),)
            export TRANSLATCONTR = $(shell cat contributor-docs/po/LINGUAS)
            export TRANSOPTSCONTR = -g
        else
            export TRANSLATCONTR := $(TRANSALLCONTR)
            export TRANSOPTSCONTR := -l "$(TRANSLATCONTR)"
        endif
    else
        export TRANSLATCONTR := $(TRANSLATIONS)
        export TRANSOPTSCONTR := -l "$(TRANSLATIONS)"
    endif

user-html:
	$(MAKE) -C user-docs html

user-epub:
	$(MAKE) -C user-docs epub

user-pdf:
	$(MAKE) -C user-docs pdf

user-translate:
	$(MAKE) -C user-docs translate

user-html-translations:
	$(MAKE) -C user-docs html-translations

user-pdf-translations:
	$(MAKE) -C user-docs pdf-translations

contributor-html:
	$(MAKE) -C contributor-docs html

contributor-epub:
	$(MAKE) -C contributor-docs epub

contributor-pdf:
	$(MAKE) -C contributor-docs pdf

contributor-translate:
	$(MAKE) -C contributor-docs translate

contributor-html-translations:
	$(MAKE) -C contributor-docs html-translations

contributor-pdf-translations:
	$(MAKE) -C contributor-docs pdf-translations

test:
	$(MAKE) -C user-docs test
	$(MAKE) -C contributor-docs test

src-tarball:
	# exclude archive, VCS, and backups
	tar -czf xubuntu-docs.tar.gz --exclude='xubuntu-docs.tar.gz' --exclude-vcs --exclude-backups .

pot:
	scripts/get-pot.sh user-docs contributor-docs

clean:
	$(MAKE) -C user-docs clean
	$(MAKE) -C contributor-docs clean
	rm -rf build common-libs startpage-style xubuntu-docs.tar.gz

.PHONY: startpage

=== debian/changelog ===
xubuntu-docs (16.10) yakkety; urgency=medium

  [ David Pires ]
  * Bump version and start page to 16.10 Yakkety Yak
  * Updates for the 'Community' section in the Strategy Document

  [ flocculant ]
  * Changed url for release note base to /Xubuntu/Testing/ReleaseNote 
  * Updates for replacement of XPL by Xubuntu Council
  * Describe files to update for the User Documentation

  [ Pasi Lallinaho ]
  * Updates for Xubuntu Council
  * Change the description for the package guidelines.

  [ Krytarik Raido ]
  * Fix pt_BR language validation.

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 06 Oct 2016 21:57:34 -0400

## xubuntu-docs 17.04

=== contributor-docs/Makefile ===
# Makefile for the Xubuntu Documentation
# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>

ifneq ($(TRANSLATCONTR),)
    TRANSLATIONS = $(TRANSLATCONTR)
endif

ifneq ($(TRANSOPTSCONTR),)
    TRANSOPTS = $(TRANSOPTSCONTR)
endif

# Xubuntu Docbook Customization Layers
XUBUNTUXSL_HTML_CONTRIBUTOR = ../libs-common/xubuntu-docbook-xhtml-contributor.xsl
XUBUNTUXSL_PDF = ../libs-common/xubuntu-docbook-pdf.xsl

# All available translations
TRANSALL = $(shell basename -s .po -a po/*.po)

ifeq ($(TRANSALL),*)
    TRANSALL =
endif

all: clean html html-translations pdf pdf-translations

html: html-style
	xsltproc --xinclude -o ../build/contributor/C/index.html $(XUBUNTUXSL_HTML_CONTRIBUTOR) C/index.xml

pdf:
	xsltproc --stringparam paper.type A4 --xinclude -o fo/C-A4.fo $(XUBUNTUXSL_PDF) C/index.xml
	../scripts/pdf-create.sh C

epub: epub-style
	xsltproc --xinclude -o ../build/contributor/C/ /usr/share/xml/docbook/stylesheet/nwalsh/epub3/chunk.xsl C/index.xml
	sed -i 's@../../libs-common@../libs@g' ../build/contributor/C/OEBPS/*
	cd ../build/contributor/C; \
	zip -0Xq xubuntu-documentation.epub mimetype; \
	zip -Xr9Dq xubuntu-documentation.epub *

html-style: ../common-libs
	mkdir -p ../build/contributor/libs
	-cp -r libs/images ../build/contributor/libs/
	@touch html-style

epub-style:
	mkdir -p ../build/contributor/C/libs/images
	-cp ../libs-common/images/*.png \
		libs/images/*.png \
		../build/contributor/C/libs/images/
	@touch epub-style

../common-libs:
	$(MAKE) -C .. common-libs

common-libs: ../common-libs

translate: | get-translations
	../scripts/translate.sh $(TRANSOPTS)
	../scripts/translators.sh $(TRANSOPTS)
	@touch translate

html-translations: html-style translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --xinclude -o ../build/contributor/$$dir/index.html $(XUBUNTUXSL_HTML_CONTRIBUTOR) $$dir/index.xml; \
	done

pdf-translations: translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --stringparam paper.type A4 --xinclude -o fo/$$dir-A4.fo $(XUBUNTUXSL_PDF) $$dir/index.xml; \
	done
	../scripts/pdf-create.sh $(TRANSLATIONS)

test: translate
	set -e; \
	for dir in C $(TRANSLATIONS); do \
		../scripts/validate.sh $$dir/index.xml; \
	done

update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
		../scripts/translate.sh -u
		@touch update-translations
        endif
    endif

get-translations: update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
            TRANSLATIONS = $(shell cat po/LINGUAS)
            TRANSOPTS = -g
        else
            TRANSLATIONS := $(TRANSALL)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    else
        ifeq ($(TRANSOPTS),)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    endif

clean:
	rm -rf ../build/libs-common ../build/contributor $(TRANSALL) fo ../common-libs html-style epub-style update-translations translate

=== debian/changelog ===
xubuntu-docs (17.04) zesty; urgency=medium

  [ flocculant ]
  * Changes to contributor docs.

  [ Krytarik Raido ]
  * Syntax, formatting, typo, and wording fixes.

  [ Pasi Lallinaho ]
  * Improvements for contributor docs:
    - Update the tracker description (and more importantly, link)
      in the important places section.
    - Update the entity file with the new status tracker link.
    - Move all QA related material under one section in the Subteam documentation
    - Do some id cleanup/consistency fixes as well as improve some titles
    - Add a mechanism to show subsections under subteam documentation sections
      in the ToC (sect1)
    - Chunk each section/sect1 to a separate file (use simplesect to bundle),
      unless the <?dbhtml stop-chunking?> tag is used
    - Add documentation for the documentation team
    - Control which elements get a ToC printed with them
  * General fixes:
    - Update copyright year for both user and contributor documentation
    - Fix icon placement inside notes etc.
    - Update development release entity
    - Clean up the header navigation template
  * Fix invalidity created by the reorganization:
    - No longer use <sect1>, instead use <section role="toc">
    - Don't use <simplesect> when any content would follow it
    - Update documentation regarding these changes
  * Update the startpage to be release-agnostic
  * Synchronize translations from Launchpad manually

  [ Unit 193 ]
  * d/copyright:
    - Update years.
    - Switch to https on the format url.
  * d/control:
    - Update maintainer to Xubuntu Documentation Team <xubuntu-devel@lists.ubuntu.com>
    - Drop versioned depend on coreutils.
  * Update standards-version to 3.9.8.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 06 Apr 2017 19:54:40 -0400

=== debian/control ===
Source: xubuntu-docs
Section: doc
Priority: optional
Maintainer: Xubuntu Documentation Team <xubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
 default-jre,
 docbook-xml,
 docbook-xsl,
 fonts-dejavu-core,
 fonts-noto,
 fop,
 gnome-doc-utils,
 xsltproc
Standards-Version: 3.9.8

Package: xubuntu-docs
Architecture: all
Depends: ${misc:Depends}
Description: Xubuntu documentation
 This package holds the official Xubuntu-specific documentation, maintained
 by the Xubuntu Documentation Team. The documentation can be viewed using
 a web browser or a PDF reader.

## xubuntu-docs 18.04

=== debian/changelog ===
xubuntu-docs (18.04) bionic; urgency=medium

  [ flocculant ]
  * Note added to the index page regarding getting help in the #xubuntu IRC channel.
  * Rewrite of the pavucontrol section in guide-default-apps to make it more than
    a link.

  [ David Pires ]
  * Add Atril, Engrampa and Mate Calculator descriptions in guide-default-apps.

  [ Unit 193 / Krytarik Raido ]
  * Allow specifying at what percent to build translations.

  [ Unit 193 ]
  * Update Standards-Version to 4.0.1.

  [ Pasi Lallinaho ]
  * Update the Xubuntu logo

  [ Sean Davis ]
  * d/changelog, d/rules:
    - Strip whitespace (file-contains-trailing-whitespace)
  * Update Standards-Version to 4.1.3

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 10 Mar 2018 08:01:59 -0500

## xubuntu-docs 18.04.1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,11 @@
 ifneq ($(REVNO),)
     VERSION = 
     VERSION += (Rev. $(REVNO))
+endif
+
+# Specify threshold for translation
+ifneq ($(TRANSPERC),)
+    export TRANSOPTSPERC = -t $(TRANSPERC)
 endif
 
 # All available translations
@@ -53,7 +58,7 @@
     ifeq ($(TRANSLATIONS),)
         ifneq ($(wildcard user-docs/po/LINGUAS),)
 		cd user-docs; \
-		../scripts/translate.sh -u
+		../scripts/translate.sh $(TRANSOPTSPERC) -u
 		@touch user-docs/update-translations
         endif
     endif
@@ -78,7 +83,7 @@
     ifeq ($(TRANSLATIONS),)
         ifneq ($(wildcard contributor-docs/po/LINGUAS),)
 		cd contributor-docs; \
-		../scripts/translate.sh -u
+		../scripts/translate.sh $(TRANSOPTSPERC) -u
 		@touch contributor-docs/update-translations
         endif
     endif

=== contributor-docs/Makefile ===
--- 
+++ 
@@ -7,6 +7,11 @@
 
 ifneq ($(TRANSOPTSCONTR),)
     TRANSOPTS = $(TRANSOPTSCONTR)
+endif
+
+# Specify threshold for translation
+ifneq ($(TRANSPERC),)
+    TRANSOPTSPERC = -t $(TRANSPERC)
 endif
 
 # Xubuntu Docbook Customization Layers
@@ -78,7 +83,7 @@
 update-translations:
     ifeq ($(TRANSLATIONS),)
         ifneq ($(wildcard po/LINGUAS),)
-		../scripts/translate.sh -u
+		../scripts/translate.sh $(TRANSOPTSPERC) -u
 		@touch update-translations
         endif
     endif

=== user-docs/Makefile ===
# Makefile for the Xubuntu Documentation
# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>

ifneq ($(TRANSLATUSER),)
    TRANSLATIONS = $(TRANSLATUSER)
endif

ifneq ($(TRANSOPTSUSER),)
    TRANSOPTS = $(TRANSOPTSUSER)
endif

# Specify threshold for translation
ifneq ($(TRANSPERC),)
    TRANSOPTSPERC = -t $(TRANSPERC)
endif

# Xubuntu Docbook Customization Layers
XUBUNTUXSL_HTML = ../libs-common/xubuntu-docbook-xhtml.xsl
XUBUNTUXSL_PDF = ../libs-common/xubuntu-docbook-pdf.xsl

# All available translations
TRANSALL = $(shell basename -s .po -a po/*.po)

all: clean html html-translations pdf pdf-translations

html: html-style
	xsltproc --xinclude -o ../build/user/C/index.html $(XUBUNTUXSL_HTML) C/index.xml

pdf:
	xsltproc --stringparam paper.type A4 --xinclude -o fo/C-A4.fo $(XUBUNTUXSL_PDF) C/index.xml
	../scripts/pdf-create.sh C

epub: epub-style
	xsltproc --xinclude -o ../build/user/C/ /usr/share/xml/docbook/stylesheet/nwalsh/epub3/chunk.xsl C/index.xml
	sed -i 's@../../libs-common@../libs@g' ../build/user/C/OEBPS/*
	cd ../build/user/C; \
	zip -0Xq xubuntu-documentation.epub mimetype; \
	zip -Xr9Dq xubuntu-documentation.epub *

html-style: ../common-libs
	mkdir -p ../build/user/libs
	cp -r libs/images ../build/user/libs/
	@touch html-style

epub-style:
	mkdir -p ../build/user/C/libs/images
	cp ../libs-common/images/*.png \
		libs/images/*.png \
		../build/user/C/libs/images/
	@touch epub-style

../common-libs:
	$(MAKE) -C .. common-libs

common-libs: ../common-libs

translate: | get-translations
	../scripts/translate.sh $(TRANSOPTS)
	../scripts/translators.sh $(TRANSOPTS)
	@touch translate

html-translations: html-style translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --xinclude -o ../build/user/$$dir/index.html $(XUBUNTUXSL_HTML) $$dir/index.xml; \
	done

pdf-translations: translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --stringparam paper.type A4 --xinclude -o fo/$$dir-A4.fo $(XUBUNTUXSL_PDF) $$dir/index.xml; \
	done
	../scripts/pdf-create.sh $(TRANSLATIONS)

test: translate
	set -e; \
	for dir in C $(TRANSLATIONS); do \
		../scripts/validate.sh $$dir/index.xml; \
	done

update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
		../scripts/translate.sh $(TRANSOPTSPERC) -u
		@touch update-translations
        endif
    endif

get-translations: update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
            TRANSLATIONS = $(shell cat po/LINGUAS)
            TRANSOPTS = -g
        else
            TRANSLATIONS := $(TRANSALL)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    else
        ifeq ($(TRANSOPTS),)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    endif

clean:
	rm -rf ../build/libs-common ../build/user $(TRANSALL) fo ../common-libs html-style epub-style update-translations translate

=== debian/changelog ===
xubuntu-docs (18.04.1) bionic; urgency=medium

  * Translation updates.

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 17 Apr 2018 20:45:59 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  fop,
  gnome-doc-utils,
  xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 
 Package: xubuntu-docs
 Architecture: all

## xubuntu-docs 21.04

=== debian/changelog ===
xubuntu-docs (21.04) hirsute; urgency=medium

  [ flocculant ]
  * Updated contributor-docs to current practice, ppa's used,
    milestones vs testing weeks

  [ Pasi Lallinaho ]
  * Update the webchat link to accommodate new syntax

  [ Unit 193 / Krytarik Raido ]
  * Move from deprecated gnome-doc-utils to itstool. (LP: #1905548)

  [ Unit 193 ]
  * Align appendix-packages to seed changes.
    - Drop gtk-theme-config.
    - evince → atril.
    - gnome-calculator → mate-calc.
  * Fix makefile ordering.
  * Update copyright years.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 13.
  * d/control:
    - R³: no.
    - Add Vcs-* and homepage fields.
  * Update Standards-Version to 4.5.1.

  [ Sean Davis ]
  * Fix linkend refs in FR translation

  [ Yousuf Philips ]
  * Recommended was mispelt

 -- Unit 193 <unit193@ubuntu.com>  Mon, 04 Jan 2021 16:27:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: doc
 Priority: optional
 Maintainer: Xubuntu Documentation Team <xubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
  default-jre,
  docbook-xml,
  docbook-xsl,
  fonts-dejavu-core,
  fonts-noto,
  fop,
- gnome-doc-utils,
+ itstool,
+ libxml2-utils,
  xsltproc
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
+Vcs-Browser: https://github.com/Xubuntu/xubuntu-docs
+Vcs-Git: https://github.com/Xubuntu/xubuntu-docs.git
+Homepage: https://docs.xubuntu.org/current/
 
 Package: xubuntu-docs
 Architecture: all

## xubuntu-docs 22.04

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
         sed -n "/^\"Language-Team:/ {s|^\"Language-Team: \([^<]\+\) <.*$$|\t\t\t\t\t\t<li><a href=\\\\\"contributor/$$lang/index.html\\\\\">\1</a></li>\\\n|p;q}" contributor-docs/po/$$lang.po; \
     done | sed '$$ s/\\n$$//')
 
-all: clean startpage user-all
+all: startpage user-all
 
 user-all: user-html user-html-translations user-pdf user-pdf-translations
 
@@ -48,7 +48,7 @@
 	@touch startpage-style
 
 common-libs:
-	mkdir -p build/libs-common 
+	mkdir -p build/libs-common
 	cp -r libs-common/css \
 		libs-common/images \
 		build/libs-common/
@@ -113,13 +113,13 @@
 user-pdf:
 	$(MAKE) -C user-docs pdf
 
-user-translate:
+user-translate: user-get-translations
 	$(MAKE) -C user-docs translate
 
-user-html-translations:
+user-html-translations: user-translate
 	$(MAKE) -C user-docs html-translations
 
-user-pdf-translations:
+user-pdf-translations: user-translate
 	$(MAKE) -C user-docs pdf-translations
 
 contributor-html:
@@ -131,13 +131,13 @@
 contributor-pdf:
 	$(MAKE) -C contributor-docs pdf
 
-contributor-translate:
+contributor-translate: contributor-get-translations
 	$(MAKE) -C contributor-docs translate
 
-contributor-html-translations:
+contributor-html-translations: contributor-translate
 	$(MAKE) -C contributor-docs html-translations
 
-contributor-pdf-translations:
+contributor-pdf-translations: contributor-translate
 	$(MAKE) -C contributor-docs pdf-translations
 
 test:

=== contributor-docs/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
     TRANSALL =
 endif
 
-all: clean html html-translations pdf pdf-translations
+all: html html-translations pdf pdf-translations
 
 html: html-style
 	xsltproc --xinclude -o ../build/contributor/C/index.html $(XUBUNTUXSL_HTML_CONTRIBUTOR) C/index.xml
@@ -104,4 +104,4 @@
     endif
 
 clean:
-	rm -rf ../build/libs-common ../build/contributor $(TRANSALL) fo ../common-libs html-style epub-style update-translations translate
+	rm -rf ../build/libs-common ../build/contributor $(TRANSALL) fo mo ../common-libs html-style epub-style update-translations translate

=== user-docs/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # All available translations
 TRANSALL = $(shell basename -s .po -a po/*.po)
 
-all: clean html html-translations pdf pdf-translations
+all: html html-translations pdf pdf-translations
 
 html: html-style
 	xsltproc --xinclude -o ../build/user/C/index.html $(XUBUNTUXSL_HTML) C/index.xml
@@ -100,4 +100,4 @@
     endif
 
 clean:
-	rm -rf ../build/libs-common ../build/user $(TRANSALL) fo ../common-libs html-style epub-style update-translations translate
+	rm -rf ../build/libs-common ../build/user $(TRANSALL) fo mo ../common-libs html-style epub-style update-translations translate

=== debian/changelog ===
xubuntu-docs (22.04) jammy; urgency=medium

  * New user-docs for 22.04
  * Update Standards-Version to 4.6.0.1.

 -- Sean Davis <sean@bluesabre.org>  Wed, 13 Apr 2022 07:36:21 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libxml2-utils,
  xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://github.com/Xubuntu/xubuntu-docs
 Vcs-Git: https://github.com/Xubuntu/xubuntu-docs.git
 Homepage: https://docs.xubuntu.org/current/

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_CHECK_TARGET :=
DEB_MAKE_INSTALL_TARGET :=
DEB_MAKE_BUILD_TARGET := all

%:
	dh $@

## xubuntu-docs 22.04build1

=== debian/changelog ===
xubuntu-docs (22.04build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 02 Dec 2025 23:43:38 +0100
